Name:          appstream-generator
Version:       0.8.8
Release:       2mamba
Summary:       A fast AppStream metadata generator
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ximion/appstream-generator
Source:        https://github.com/ximion/appstream-generator.git/v%{version}/appstream-generator-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libappstream-devel
BuildRequires: libarchive-devel
BuildRequires: libcurl-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libglibd-devel
BuildRequires: libldc-devel
BuildRequires: liblmdb-devel
## AUTOBUILDREQ-END
BuildRequires: meson
BuildRequires: libldc-devel >= 1.29.0

%description
A fast AppStream metadata generator.

%debug_package

%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/appstream-generator
%{_datadir}/metainfo/org.freedesktop.appstream.generator.metainfo.xml
%dir %{_datadir}/appstream
%{_datadir}/appstream/asgen-hints.json
%{_datadir}/appstream/hicolor-theme-index.theme
%dir %{_datadir}/appstream/templates
%dir %{_datadir}/appstream/templates/debian
%{_datadir}/appstream/templates/debian/*
%dir %{_datadir}/appstream/templates/default
%{_datadir}/appstream/templates/default/*
%{_datadir}/appstream/templates/ubuntu
%{_mandir}/man1/appstream-generator.1*
%doc LICENSE

%changelog
* Tue May 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.8-2mamba
- rebuilt with ldc 1.29.0

* Mon Apr 11 2022 Automatic Build System <autodist@mambasoft.it> 0.8.8-1mamba
- automatic version update by autodist

* Sat Feb 26 2022 Automatic Build System <autodist@mambasoft.it> 0.8.7-1mamba
- automatic version update by autodist

* Sun Jan 23 2022 Automatic Build System <autodist@mambasoft.it> 0.8.6-1mamba
- automatic version update by autodist

* Wed Oct 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.5-1mamba
- package created using the webbuild interface
